Bug 151373 - CAN-2005-0396 kdelibs DCOP DoS
CAN-2005-0396 kdelibs DCOP DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kdelibs (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
impact=moderate,embargo=20050316,sour...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-17 07:46 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-06 13:54:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-03-17 07:46:10 EST
+++ This bug was initially created as a clone of Bug #150090 +++

Sebastian Krahmer of the SUSE LINUX Security Team reported a local denial of
service vulnerability in KDE's Desktop Communication Protocol (DCOP) daemon
better known as dcopserver.

A local user can lock up the dcopserver of arbitrary other users on the same
machine by stalling the DCOP authentication process.

Although it is not possible to by pass the authentication process this way, it
can cause a significant reduction in desktop functionality for the affected users.
Comment 1 Mark J. Cox (Product Security) 2005-03-17 07:46:52 EST
        CAN-2005-0396 Affects: RHEL2.1 [#151373]
        CAN-2005-0396 Probably Affects: RHEL3 [#151373]
Comment 2 Josh Bressers 2005-04-06 13:54:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-307.html

Note You need to log in before you can comment on or make changes to this bug.